发布于 2014-12-27 17:53:12 | 4169 次阅读 | 评论: 0 | 来源: PHPERZ

这里有新鲜出炉的Laravel 快速入门,程序狗速度看过来!

Laravel PHP Web开发框架

Laravel是一套简洁、优雅的PHP Web开发框架(PHP Web Framework)。它可以让你从面条一样杂乱的代码中解脱出来;它可以帮你构建一个完美的网络APP,而且每行代码都可以简洁、富于表达力。


本文为大家讲解的是通过Composer安装Laravel及常见问题的解决方法,感兴趣的同学参考下。

Composer简介

Composer 是PHP中用来管理依赖(dependency)关系的工具。你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer会帮你安装这些依赖的库文件。

Laravel简介

Laravel是一套简洁、优雅的PHP Web开发框架(PHP Web Framework)。它可以让你从面条一样杂乱的代码中解脱出来;它可以帮你构建一个完美的网络APP,而且每行代码都可以简洁、富于表达力。

安装

通过Composer安装Laravel很简单,仅需一条命令,就可以自动将依赖的包下载下来。这里记录了一些安装过程中常见的一些问题。
composer create-project laravel/laravel --prefer-dist


Apache配置

DocumentRoot "d:/wamp/www/laravel/public"
<Directory "d:/wamp/www/laravel/public">
Options Indexes FollowSymLinks
AllowOverride All
Order Deny,Allow
Deny from all
Allow from 127.0.0.1
Allow from ::1
Allow from localhost
</Directory>

常见问题

1. ‘php’不是内部或外部命令,需要将PHP的安装路径加入到环境变量中并重启机器
2. Composer版本过老,自身需要升级,composer self-updae
3. Apache环境下.htaccess配置错误


这里给个能正常运行的版本
<IfModule mod_rewrite.c>
RewriteEngine on
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ index.php/$1 [L]
</IfModule>
4. 出现‘Whoops, looks like something went wrong’,错误不详细,开启debug,config/app.php搜索设置'debug'=>true,报出详细错误,需要OpenSSL扩展,开启后一切正常



相关阅读 :
通过Composer安装Laravel及常见问题解决
linux下使用Composer安装Laravel
Laravel入门之安装Laravel框架
laravel 4安装及入门图文教程
Laravel 4 安装及入门
laravel安装和配置教程
laravel安装zend opcache加速器的方法
laravel框架安装与配置
windows下Laravel 5 安装使用教程
Laravel安装
linux下安装laravel5数据库配置
最新网友评论  共有(0)条评论 发布评论 返回顶部

Copyright © 2007-2017 PHPERZ.COM All Rights Reserved   冀ICP备14009818号  版权声明  广告服务